.include "../Makefile.inc"

.PATH: ${SRCDIR}/lib/misc
.PATH: ${SRCDIR}/lib/sig
.PATH: ${SRCDIR}/lib/tcp
.PATH: ${SRCDIR}/lib/compat
.PATH: ${SRCDIR}/lib/dbug
.PATH: ${SRCDIR}/lib/dmalloc
.PATH: ${SRCDIR}/ssl/lib/sslfd
.PATH: ${SRCDIR}/snmp/lib/snmp2


I_HDRS=${HDRS} ${H_LINKS}

all:	links

depend obj:

install:	links .install 

.if ${.CURDIR:T} == include
DESTDIR=${TOP}/include
.else
DESTDIR=${TOP}/include/${.CURDIR:T}
.endif

.install:	${I_HDRS}
	test -d ${DESTDIR} || ${INSTALL} -d ${DESTDIR}
	${INSTALL} -m ${LIBMODE} ${.OODATE} ${DESTDIR}
	touch $@

links:	.links

clean:
	rm -f .links .install

.links:	${H_LINKS}
	@-for h in ${.ALLSRC}; do test -s `basename $$h` || ln -s $$h .; done
	touch $@
