# RCSid:
#	$Id: Makefile.inc,v 1.13 1997/03/07 05:16:46 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@quick.com.au
#

.include "../Makefile.inc"

LDADD+= -lsslfd -lssl -lcrypto
DPADD+= ${LIBSSLFD}

.ifdef LIBRESOLV
.if exists(${LIBRESOLV})
RESOLVLIB?=-lresolv
LDADD+= -L${LIBRESOLV:H} ${RESOLVLIB}
.endif
.endif
BINDIR=${SSLTOP}/bin
NO_MANDOC?=no

.if ${NO_MANDOC} == "yes"
NOMAN=no
.else
.undef NOMAN
.endif

